<template class="h-full">
  <div  class="sticky top-0 left-0 z-[9999]">
    <Navbar v-if="displayNavbar" />
    <router-link to="/"></router-link>
  </div>
  <router-view></router-view>
</template>

<script setup>
import { computed } from '@vue/runtime-core';
import Navbar from "./views/Navbar.vue";
import {useRoute} from "vue-router";

const route = useRoute();

const displayNavbar = computed(()=>{
  return !(route.name === 'Login' || route.name === 'Register');

});
</script>